Name:       jep
Version:    2.4
Release:    1%{?dist}
Summary:    Java Embedded Python
Group:      Development/Libraries
License:    zlib
URL:        http://jepp.sourceforge.net
Source:     http://sourceforge.net/projects/jepp/files/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:     jep-fedora-jni-load.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  java-devel >= 1.5
BuildRequires:  jpackage-utils

Requires:  java >= 1.5
Requires:  jpackage-utils

%define jep_jni_dir $RPM_BUILD_ROOT%{_libdir}/%{name}

%description
Jep embeds CPython in Java. It is safe to use in a heavily threaded environment,
it is quite fast and its stability is a main feature and goal.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
Javadoc for %{name}


%prep
%setup -q
%patch0 -p1 -b .fedora_jni_load
autoreconf -vif
#Remove built files
find * -name *.jar -exec rm -f {} \;

%build
export JAVA_HOME=/etc/alternatives/java_sdk
%configure --disable-static 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
#install man pages
make install-man1 DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{jep_jni_dir}
install -m 755 src/jep/.libs/libjep.so %{jep_jni_dir}
install -m 755 src/jep/.libs/libjep.so.2 %{jep_jni_dir}
install -m 755 src/jep/.libs/libjep.so.2.0.1 %{jep_jni_dir}

#jars
install -m 644 %{name}.jar %{jep_jni_dir}/%{name}-%{version}.jar
cd %{jep_jni_dir} && ln -sf %{name}-%{version}.jar %{name}.jar && cd -

#javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr javadoc/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

#examples
install -d -m 755 ${RPM_BUILD_ROOT}%{_datadir}/%{name}-%{version}/examples
cp *.py ${RPM_BUILD_ROOT}%{_datadir}/%{name}-%{version}/examples

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files 
%defattr(-,root,root)
%{_datadir}/%{name}-%{version}/examples
%{_libdir}/%{name}
%{_mandir}/man1/jep.1.gz

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}


%changelog
* Mon Jan 25 2010 John Matthews <jmatthews@redhat.com> 2.4-1
- update to jep 2.4
* Fri Jan 22 2010 John Matthews <jmatthews@redhat.com> 2.3-1
- update to comply with JNI packaging for Fedora
- https://fedoraproject.org/wiki/Packaging/Java#Packaging_JAR_files_that_use_JNI
* Tue Jan 5 2010 John Matthews <jmatthews@redhat.com> 
- initial packaging for Fedora 12
